Subject: rtt in freebsd

From: Gokul Poduval <[email-masked]>
Date: Thu, 28 Nov 2002 19:01:46 +0800

Hello, 

   In the tcpcb structure in freebsd (release 4.5), what variable
maintains the instantaneous rtt ? I tried printing tp->t_rtttime in the
congestion avoidance section in tcp_input.c, but it always seems to be
0. 
   tp->t_srtt seems to reflect a more accurate value of rtt, but its
value seems to be 10 times of what the actual rtt is. (if the rtt is
60ms, srtt is ~600). 

-- 

Gokul Poduval
http://www.comp.nus.edu.sg/~gokulpod